=== Makefile ===
# Makefile.in generated by automake 1.15.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2017 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.








am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libkcapi
pkgincludedir = $(includedir)/libkcapi
pkglibdir = $(libdir)/libkcapi
pkglibexecdir = $(libexecdir)/libkcapi
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = aarch64-openwrt-linux-musl
am__append_1 = -Werror
#am__append_2 = 
am__append_3 = lib/kcapi-sym.c
#am__append_4 = 
am__append_5 = lib/kcapi-md.c
#am__append_6 = 
am__append_7 = lib/kcapi-kdf.c
#am__append_8 = 
am__append_9 = lib/kcapi-aead.c
#am__append_10 = 
am__append_11 = lib/kcapi-rng.c
#am__append_12 = lib/kcapi-asym.c
am__append_13 = 
#am__append_14 = lib/kcapi-kpp.c
am__append_15 = 
bin_PROGRAMS = $(am__EXEEXT_1) $(am__EXEEXT_2) $(am__EXEEXT_3) \
	$(am__EXEEXT_4) $(am__EXEEXT_5) $(am__EXEEXT_6)
#am__append_16 = bin/kcapi \
#	bin/kcapi-enc-test-large \
#	bin/kcapi-convenience
#am__append_17 = $(bin_kcapi_SOURCES) \
#	$(bin_kcapi_enc_test_large_SOURCES) \
#	$(bin_kcapi_convenience_SOURCES)
#pkglibexec_PROGRAMS = bin/kcapi$(EXEEXT) \
#	bin/kcapi-enc-test-large$(EXEEXT) \
#	bin/kcapi-convenience$(EXEEXT)
#am__append_18 = bin/kcapi-speed
#am__append_19 = $(bin_kcapi_speed_SOURCES)
#am__append_20 = bin/kcapi-hasher
#am__append_21 = $(bin_kcapi_hasher_SOURCES)
#am__append_22 = apps/kcapi-hasher.1
#am__append_23 = bin/kcapi-rng
#am__append_24 = $(bin_kcapi_rng_SOURCES)
#am__append_25 = apps/kcapi-rng.1
am__append_26 = bin/kcapi-enc
am__append_27 = $(bin_kcapi_enc_SOURCES)
am__append_28 = apps/kcapi-enc.1
#am__append_29 = bin/kcapi-dgst
#am__append_30 = $(bin_kcapi_dgst_SOURCES)
#am__append_31 = apps/kcapi-dgst.1
#am__append_32 = pdf
#am__append_33 = ps
#am__append_34 = html man
#am__append_35 = $(devel_manpages)
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ac_check_api_version.m4 \
	$(top_srcdir)/m4/ac_check_attribute_symver.m4 \
	$(top_srcdir)/m4/ax_add_fortify_source.m4 \
	$(top_srcdir)/m4/ax_check_pie.m4 \
	$(top_srcdir)/m4/ax_prog_cc_for_build.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(include_HEADERS) $(am__DIST_COMMON)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES = libkcapi.pc
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" \
	"$(DESTDIR)$(pkglibexecdir)" "$(DESTDIR)$(pkglibexecdir)" \
	"$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man3dir)" \
	"$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(includedir)"
LTLIBRARIES = $(lib_LTLIBRARIES)
libkcapi_la_LIBADD =
am__libkcapi_la_SOURCES_DIST = lib/cryptouser.h lib/internal.h \
	lib/kcapi.h lib/kcapi-kernel-if.c lib/kcapi-utils.c \
	lib/kcapi-sym.c lib/kcapi-md.c lib/kcapi-kdf.c \
	lib/kcapi-aead.c lib/kcapi-rng.c lib/kcapi-asym.c \
	lib/kcapi-kpp.c
am__dirstamp = $(am__leading_dot)dirstamp
am__objects_1 =
am__objects_2 = lib/libkcapi_la-kcapi-sym.lo
am__objects_3 = lib/libkcapi_la-kcapi-md.lo
am__objects_4 = lib/libkcapi_la-kcapi-kdf.lo
am__objects_5 = lib/libkcapi_la-kcapi-aead.lo
am__objects_6 = lib/libkcapi_la-kcapi-rng.lo
#am__objects_7 = lib/libkcapi_la-kcapi-asym.lo
#am__objects_8 = lib/libkcapi_la-kcapi-kpp.lo
am_libkcapi_la_OBJECTS = lib/libkcapi_la-kcapi-kernel-if.lo \
	lib/libkcapi_la-kcapi-utils.lo $(am__objects_1) \
	$(am__objects_2) $(am__objects_1) $(am__objects_3) \
	$(am__objects_1) $(am__objects_4) $(am__objects_1) \
	$(am__objects_5) $(am__objects_1) $(am__objects_6) \
	$(am__objects_7) $(am__objects_1) $(am__objects_8) \
	$(am__objects_1)
libkcapi_la_OBJECTS = $(am_libkcapi_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
libkcapi_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(libkcapi_la_LDFLAGS) $(LDFLAGS) -o $@
#am__EXEEXT_1 = bin/kcapi$(EXEEXT) \
#	bin/kcapi-enc-test-large$(EXEEXT) \
#	bin/kcapi-convenience$(EXEEXT)
#am__EXEEXT_2 = bin/kcapi-speed$(EXEEXT)
#am__EXEEXT_3 = bin/kcapi-hasher$(EXEEXT)
#am__EXEEXT_4 = bin/kcapi-rng$(EXEEXT)
am__EXEEXT_5 = bin/kcapi-enc$(EXEEXT)
#am__EXEEXT_6 = bin/kcapi-dgst$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS) $(pkglibexec_PROGRAMS)
am__bin_kcapi_SOURCES_DIST = test/kcapi-main.c
#am_bin_kcapi_OBJECTS =  \
#	test/bin_kcapi-kcapi-main.$(OBJEXT)
bin_kcapi_OBJECTS = $(am_bin_kcapi_OBJECTS)
#bin_kcapi_DEPENDENCIES = libkcapi.la
bin_kcapi_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(bin_kcapi_LDFLAGS) $(LDFLAGS) -o $@
am__bin_kcapi_convenience_SOURCES_DIST = test/kcapi-convenience.c
#am_bin_kcapi_convenience_OBJECTS = test/bin_kcapi_convenience-kcapi-convenience.$(OBJEXT)
bin_kcapi_convenience_OBJECTS = $(am_bin_kcapi_convenience_OBJECTS)
#bin_kcapi_convenience_DEPENDENCIES =  \
#	libkcapi.la
bin_kcapi_convenience_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(AM_CFLAGS) $(CFLAGS) $(bin_kcapi_convenience_LDFLAGS) \
	$(LDFLAGS) -o $@
am__bin_kcapi_dgst_SOURCES_DIST = apps/kcapi-dgst.c \
	apps/app-internal.c
#am_bin_kcapi_dgst_OBJECTS = apps/bin_kcapi_dgst-kcapi-dgst.$(OBJEXT) \
#	apps/bin_kcapi_dgst-app-internal.$(OBJEXT)
bin_kcapi_dgst_OBJECTS = $(am_bin_kcapi_dgst_OBJECTS)
#bin_kcapi_dgst_DEPENDENCIES = libkcapi.la
bin_kcapi_dgst_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(AM_CFLAGS) $(CFLAGS) $(bin_kcapi_dgst_LDFLAGS) $(LDFLAGS) -o \
	$@
am__bin_kcapi_enc_SOURCES_DIST = apps/kcapi-enc.c apps/app-internal.c
am_bin_kcapi_enc_OBJECTS = apps/bin_kcapi_enc-kcapi-enc.$(OBJEXT) \
	apps/bin_kcapi_enc-app-internal.$(OBJEXT)
bin_kcapi_enc_OBJECTS = $(am_bin_kcapi_enc_OBJECTS)
bin_kcapi_enc_DEPENDENCIES = libkcapi.la
bin_kcapi_enc_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(bin_kcapi_enc_LDFLAGS) $(LDFLAGS) -o $@
am__bin_kcapi_enc_test_large_SOURCES_DIST =  \
	test/kcapi-enc-test-large.c
#am_bin_kcapi_enc_test_large_OBJECTS = test/bin_kcapi_enc_test_large-kcapi-enc-test-large.$(OBJEXT)
bin_kcapi_enc_test_large_OBJECTS =  \
	$(am_bin_kcapi_enc_test_large_OBJECTS)
#bin_kcapi_enc_test_large_DEPENDENCIES =  \
#	libkcapi.la
bin_kcapi_enc_test_large_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(AM_CFLAGS) $(CFLAGS) $(bin_kcapi_enc_test_large_LDFLAGS) \
	$(LDFLAGS) -o $@
am__bin_kcapi_hasher_SOURCES_DIST = apps/kcapi-hasher.c \
	apps/app-internal.c
#am_bin_kcapi_hasher_OBJECTS = apps/bin_kcapi_hasher-kcapi-hasher.$(OBJEXT) \
#	apps/bin_kcapi_hasher-app-internal.$(OBJEXT)
bin_kcapi_hasher_OBJECTS = $(am_bin_kcapi_hasher_OBJECTS)
#bin_kcapi_hasher_DEPENDENCIES = libkcapi.la
bin_kcapi_hasher_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(AM_CFLAGS) $(CFLAGS) $(bin_kcapi_hasher_LDFLAGS) $(LDFLAGS) \
	-o $@
am__bin_kcapi_rng_SOURCES_DIST = apps/kcapi-rng.c apps/app-internal.c
#am_bin_kcapi_rng_OBJECTS = apps/bin_kcapi_rng-kcapi-rng.$(OBJEXT) \
#	apps/bin_kcapi_rng-app-internal.$(OBJEXT)
bin_kcapi_rng_OBJECTS = $(am_bin_kcapi_rng_OBJECTS)
#bin_kcapi_rng_DEPENDENCIES = libkcapi.la
bin_kcapi_rng_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(bin_kcapi_rng_LDFLAGS) $(LDFLAGS) -o $@
am__bin_kcapi_speed_SOURCES_DIST = speed-test/cryptoperf.h \
	speed-test/cryptoperf-aead.c speed-test/cryptoperf-base.c \
	speed-test/cryptoperf-hash.c speed-test/cryptoperf-main.c \
	speed-test/cryptoperf-rng.c speed-test/cryptoperf-skcipher.c
#am_bin_kcapi_speed_OBJECTS = speed-test/bin_kcapi_speed-cryptoperf-aead.$(OBJEXT) \
#	speed-test/bin_kcapi_speed-cryptoperf-base.$(OBJEXT) \
#	speed-test/bin_kcapi_speed-cryptoperf-hash.$(OBJEXT) \
#	speed-test/bin_kcapi_speed-cryptoperf-main.$(OBJEXT) \
