=== doc/Makefile ===
doc:
	install -d $(DOCDIR)
	doxygen libusermngt.doxy

clean: 

.PHONY: doc clean
