=== src/Makefile ===
CFLAGS += -fPIC -I../include -I$(STAGINGDIR)/include  -g -Werror -Wall -Wextra \
	$(shell pkg-config --cflags sahtrace openssl)

CFLAGS_AUTH += $(CFLAGS)

OBJECTS=usermngt.o
OBJECTS_AUTH=auth.o

all: libusermngt.a libusermngt-auth.a

libusermngt.a: $(OBJECTS)
	$(AR) rcs $(@) $(OBJECTS)

libusermngt-auth.a: $(OBJECTS_AUTH)
	$(AR) rcs $(@) $(OBJECTS_AUTH)

%.o: %.c
	$(CC) $(CFLAGS) -c -o $(@) $(<)
	@$(CC) $(CFLAGS) -MM -MP -MT '$(@) $(@:.o=.d)' -MF $(@:.o=.d) $(<) >/dev/null


clean: 
	rm -f *.so *.o *.d libusermngt.a libusermngt-auth.a

check-syntax:
	$(CC) $(CFLAGS) -fsyntax-only $(CHK_SOURCES)

.PHONY: all clean
