=== debian/changelog ===
syslog-ng (4.6.0-1) unstable; urgency=medium

  * New upstream release 4.6.0

 -- github-actions <41898282+github-actions@users.noreply.github.com>  Tue, 09 Jan 2024 12:16:14 +0000

syslog-ng (4.5.0-1) unstable; urgency=medium

  * New upstream release 4.5.0

 -- github-actions <41898282+github-actions@users.noreply.github.com>  Wed, 22 Nov 2023 13:21:25 +0000

syslog-ng (4.4.0-1) unstable; urgency=medium

  * New upstream release 4.4.0

 -- github-actions <41898282+github-actions@users.noreply.github.com>  Tue, 19 Sep 2023 18:03:48 +0000

syslog-ng (4.3.1-1) unstable; urgency=medium

  * New upstream release 4.3.1

 -- github-actions <41898282+github-actions@users.noreply.github.com>  Fri, 28 Jul 2023 07:44:02 +0000

syslog-ng (4.3.0-1) unstable; urgency=medium

  * New upstream release 4.3.0

 -- github-actions <41898282+github-actions@users.noreply.github.com>  Wed, 19 Jul 2023 08:13:12 +0000

syslog-ng (4.2.0-1) unstable; urgency=medium

  * New upstream release 4.2.0

 -- github-actions <41898282+github-actions@users.noreply.github.com>  Mon, 08 May 2023 08:09:19 +0000

syslog-ng (4.1.1-1) unstable; urgency=medium

  * New upstream release 4.1.1

 -- github-actions <41898282+github-actions@users.noreply.github.com>  Fri, 10 Mar 2023 11:41:28 +0000

syslog-ng (4.1.0-1) unstable; urgency=medium

  * New upstream release 4.1.0

 -- github-actions <41898282+github-actions@users.noreply.github.com>  Tue, 28 Feb 2023 15:33:51 +0000

syslog-ng (4.0.1-1) unstable; urgency=medium

  * New upstream release 4.0.1

 -- github-actions <github-actions@github.com>  Wed, 21 Dec 2022 18:25:17 +0000

syslog-ng (4.0.0-1) unstable; urgency=medium

  * New upstream release 4.0.0

 -- github-actions <github-actions@github.com>  Fri, 04 Nov 2022 17:53:15 +0000

syslog-ng (3.38.1-1) unstable; urgency=medium

  * New upstream release 3.38.1

 -- github-actions <github-actions@github.com>  Mon, 15 Aug 2022 18:58:07 +0000

syslog-ng (3.37.1-1) unstable; urgency=medium

  * New upstream release 3.37.1

 -- github-actions <github-actions@github.com>  Mon, 30 May 2022 13:00:31 +0000

syslog-ng (3.36.1-1) unstable; urgency=medium

  * New upstream release 3.36.1

 -- github-actions <github-actions@github.com>  Mon, 28 Feb 2022 14:17:39 +0000

syslog-ng (3.35.1-1) unstable; urgency=medium

  * New upstream release 3.35.1

 -- github-actions <github-actions@github.com>  Wed, 10 Nov 2021 10:23:22 +0000

syslog-ng (3.34.1-1) unstable; urgency=medium

  * New upstream release 3.34.1

 -- github-actions <github-actions@github.com>  Tue, 07 Sep 2021 17:57:41 +0000

syslog-ng (3.33.2-1) unstable; urgency=medium

  * New upstream release 3.33.2

 -- github-actions <github-actions@github.com>  Mon, 19 Jul 2021 09:05:54 +0000

syslog-ng (3.33.1-1) unstable; urgency=medium

  * New upstream release 3.33.1

 -- github-actions <github-actions@github.com>  Mon, 05 Jul 2021 17:16:40 +0000

syslog-ng (3.32.1-1) unstable; urgency=medium

  * New upstream release 3.32.1

 -- github-actions <github-actions@github.com>  Fri, 07 May 2021 06:26:13 +0000

syslog-ng (3.31.2-1) unstable; urgency=medium

  * New upstream release 3.31.2

 -- github-actions <github-actions@github.com>  Wed, 17 Mar 2021 16:37:02 +0000

syslog-ng (3.31.1-1) unstable; urgency=medium

  * New upstream release 3.31.1

 -- github-actions <github-actions@github.com>  Tue, 02 Mar 2021 18:55:27 +0000

syslog-ng (3.30.1-1) unstable; urgency=medium

  * New upstream release 3.30.1

 -- github-actions <github-actions@github.com>  Thu, 12 Nov 2020 12:59:09 +0000

syslog-ng (3.29.1-1) unstable; urgency=medium

  * New upstream release 3.29.1

 -- Laszlo Varady <stentor@x260>  Fri, 28 Aug 2020 12:13:25 +0000

syslog-ng (3.28.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Varady <laszlo.varady@balabit.com>  Tue, 16 Jun 2020 13:07:54 +0200

syslog-ng (3.27.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antal Nemes <antal.nemes@quest.com>  Tue, 28 Apr 2020 08:30:27 +0200

syslog-ng (3.26.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove merged in patches.
  * Update configuration version.

  [ Balazs Scheidler <bazsi77@gmail.com> ]
  * Add support for the snmp() destination (syslog-ng-mod-snmp package).
  * Move the http() destination into a separate package (syslog-ng-mod-http).
  * Move BSD process accounting (pacct) support into the core package.
  * Move tags-parser() to the core package.
  * Add support for librdkafka based kafka destination (in mod-rdkafka
    package).
  * Use upstream scl.conf .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 08 Mar 2020 14:18:20 +0000

syslog-ng (3.25.1-3) unstable; urgency=medium

  * Remove outdated pep8 build dependency.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 03 Mar 2020 19:39:43 +0000

syslog-ng (3.25.1-2) unstable; urgency=medium

  * Update upstream bison update (closes: #949847).

  [ Balazs Scheidler <bazsi77@gmail.com> ]
  * Remove unneeded/empty Makefile.am file.
  * Remove obsoleted sections from README.source .
  * Update github URL in copyright.
  * Change github url in the watch file.
  * Add wants/after lines into syslog-ng.systemd unit file.
  * Remove libgeoip-dev as build dependency.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 01 Mar 2020 11:38:57 +0000

syslog-ng (3.25.1-1) unstable; urgency=medium

  * New upstream release.
  * Merge in syslog-ng-mod-journal (closes: #924264).
  * Remove syslog-ng-mod-geoip module.
  * Python3ify syslog-ng-mod-python (closes: #938618).
  * Add upstream persist-tool manpage.
  * Backport upstream bison update.
  * Install all SCL files.
  * Update configuration version.
  * Update self-tests.
  * Update Standards-Version to 4.4.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 21 Dec 2019 08:42:10 +0000

syslog-ng (3.19.1-6) unstable; urgency=medium

  * Sync with Ubuntu.

  [ Dimitri John Ledkov <xnox@ubuntu.com> ]
  * Fix FTBFS with bison 3.4.1 (closes: #931302).


